Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Interface JMSConstants

public interface JMSConstants

JMSConstants contains constants that apply to all JMS providers. `JMSConstants` contains the constant definitions for interacting with the WSClient. The most important constants are the `HashMap` keys for use in the arguments to the `send, call, registerListener, unregisterListener` methods of `JMSEndpoint` and the `createConnector` method of `JMSConnectorFactory`.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com)

Field Summary
`static String` | `ACKNOWLEDGE_MODE` Key for properties used in the `registerListener` method.
`static String` | `CLIENT_ID` `JMSConnectorFactory` parameter valid for either domain.
`static String` | `CONNECT_RETRY_INTERVAL` Key for properties used in the `createConnector` method.
`static String` | `CONNECTOR`
`static int` | `DEFAULT_ACKNOWLEDGE_MODE` value for ACKNOWLEDGE_MODE if left unset.
`static long` | `DEFAULT_CONNECT_RETRY_INTERVAL`
`static int` | `DEFAULT_DELIVERY_MODE`
`static long` | `DEFAULT_INTERACT_RETRY_INTERVAL`
`static long` | `DEFAULT_MIN_TIMEOUT_TIME`
`static boolean` | `DEFAULT_NO_LOCAL`
`static int` | `DEFAULT_NUM_RETRIES`
`static int` | `DEFAULT_NUM_SESSIONS`
`static int` | `DEFAULT_PRIORITY`
`static long` | `DEFAULT_TIME_TO_LIVE`
`static long` | `DEFAULT_TIMEOUT_TIME`
`static boolean` | `DEFAULT_UNSUBSCRIBE`
`static String` | `DELIVERY_MODE` Key for properties used in the `send` and `call` methods.
`static String` | `DESTINATION`
`static String` | `DOMAIN`
`static String` | `DOMAIN_DEFAULT`
`static String` | `DOMAIN_QUEUE`
`static String` | `DOMAIN_TOPIC`
`static String` | `INTERACT_RETRY_INTERVAL` Key for properties used in the `createConnector` method.
`static String` | `JMS_CORRELATION_ID` Key for properties used in the `send` and `call` methods.
`static String` | `JMS_CORRELATION_ID_AS_BYTES` Key for properties used in the `send` and `call` methods.
`static String` | `JMS_TYPE` Key for properties used in the `send` and `call` methods.
`static String` | `MESSAGE_SELECTOR` Key for properties used in the `registerListener` method.
`static String` | `MIN_TIMEOUT_TIME` Key for properties used in the `createConnector` method.
`static String` | `NO_LOCAL` Key for properties used in the `registerListener` method.
`static String` | `NUM_RETRIES` Key for properties used in the `createConnector` method.
`static String` | `NUM_SESSIONS` Key for properties used in the `createConnector` method.
`static String` | `PRIORITY` Key for properties used in the `send` and `call` methods.
`static String` | `SUBSCRIPTION_NAME` Specifies the name of a durable subscription Key for properties used in the `registerListener` method.
`static String` | `TIME_TO_LIVE` Key for properties used in the `send` and `call` methods.
`static String` | `TIMEOUT_TIME` Key for properties used in the `createConnector` method.
`static String` | `UNSUBSCRIBE` Key for properties used in the `registerListener` method.
`static String` | `WAIT_FOR_RESPONSE` This is used as a key in the Call properties telling the JMS transport to wait for a response from the service.

Field Detail

### WAIT_FOR_RESPONSE

    public static final String WAIT_FOR_RESPONSE

  This is used as a key in the Call properties telling the JMS transport to wait for a response from the service. The default value is true. If false is specified, the message will be delivered without specifying a ReplyTo. The client will always return null from invoke unless a client-side exception is thrown (similar to invokeOneWay in semantics) The value must be a `java.lang.Boolean`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### CLIENT_ID

    public static final String CLIENT_ID

  `JMSConnectorFactory` parameter valid for either domain. This should be used as a key in the environment map passed into calls to `createConnector` in `JMSConnectorFactory` This is a required property for durable subscribers. The value must be a `java.lang.String`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### DESTINATION

    public static final String DESTINATION

See Also:
  Constant Field Values

### CONNECTOR

    public static final String CONNECTOR

See Also:
  Constant Field Values

### DOMAIN

    public static final String DOMAIN

See Also:
  Constant Field Values

### DOMAIN_QUEUE

    public static final String DOMAIN_QUEUE

See Also:
  Constant Field Values

### DOMAIN_TOPIC

    public static final String DOMAIN_TOPIC

See Also:
  Constant Field Values

### DOMAIN_DEFAULT

    public static final String DOMAIN_DEFAULT

See Also:
  Constant Field Values

### JMS_CORRELATION_ID

    public static final String JMS_CORRELATION_ID

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.String`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### JMS_CORRELATION_ID_AS_BYTES

    public static final String JMS_CORRELATION_ID_AS_BYTES

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `byte[]`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### JMS_TYPE

    public static final String JMS_TYPE

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.String`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### TIME_TO_LIVE

    public static final String TIME_TO_LIVE

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.Long`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### PRIORITY

    public static final String PRIORITY

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.Integer`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### DELIVERY_MODE

    public static final String DELIVERY_MODE

  Key for properties used in the `send` and `call` methods. It is valid for either domain. The value must be a `java.lang.Integer` equal to DeliveryMode.NON_PERSISTENT or DeliveryMode.PERSISTENT. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### DEFAULT_DELIVERY_MODE

    public static final int DEFAULT_DELIVERY_MODE

See Also:
  Constant Field Values

### DEFAULT_PRIORITY

    public static final int DEFAULT_PRIORITY

See Also:
  Constant Field Values

### DEFAULT_TIME_TO_LIVE

    public static final long DEFAULT_TIME_TO_LIVE

See Also:
  Constant Field Values

### MESSAGE_SELECTOR

    public static final String MESSAGE_SELECTOR

  Key for properties used in the `registerListener` method. It is valid for either domain. The value must be a `java.lang.String`. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### ACKNOWLEDGE_MODE

    public static final String ACKNOWLEDGE_MODE

  Key for properties used in the `registerListener` method. It is valid for either domain. The value must be a `java.lang.Integer` that is one of Session.AUTO_ACKNOWLEDGE, Session.DUPS_OK_ACKNOWLEDGE, or Session.CLIENT_ACKNOWLEDGE. See the javax.jms javadoc for information on this property.

  See Also:
    Constant Field Values

### DEFAULT_ACKNOWLEDGE_MODE

    public static final int DEFAULT_ACKNOWLEDGE_MODE

  value for ACKNOWLEDGE_MODE if left unset. It is equal to Session.DUPS_OK_ACKNOWLEDGE.

  See Also:
    Constant Field Values

### SUBSCRIPTION_NAME

    public static final String SUBSCRIPTION_NAME

  Specifies the name of a durable subscription Key for properties used in the `registerListener` method. It is valid for the PubSub domain. The value must be a `java.lang.String`.

  See Also:
    Constant Field Values

### UNSUBSCRIBE

    public static final String UNSUBSCRIBE

  Key for properties used in the `registerListener` method. It is valid for the PubSub domain. Specifies that the durable subscription should be unsubscribed (deleted from the broker) when unregistered. The value must be a `java.lang.Boolean`.

  See Also:
    Constant Field Values

### NO_LOCAL

    public static final String NO_LOCAL

  Key for properties used in the `registerListener` method. It is valid for the PubSub domain. The value must be a `java.lang.Boolean`.

  See Also:
    Constant Field Values

### DEFAULT_NO_LOCAL

    public static final boolean DEFAULT_NO_LOCAL

See Also:
  Constant Field Values

### DEFAULT_UNSUBSCRIBE

    public static final boolean DEFAULT_UNSUBSCRIBE

See Also:
  Constant Field Values

### NUM_RETRIES

    public static final String NUM_RETRIES

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Integer`.

  See Also:
    Constant Field Values

### NUM_SESSIONS

    public static final String NUM_SESSIONS

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Integer`.

  See Also:
    Constant Field Values

### CONNECT_RETRY_INTERVAL

    public static final String CONNECT_RETRY_INTERVAL

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Long`.

  See Also:
    Constant Field Values

### INTERACT_RETRY_INTERVAL

    public static final String INTERACT_RETRY_INTERVAL

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Long`.

  See Also:
    Constant Field Values

### TIMEOUT_TIME

    public static final String TIMEOUT_TIME

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Long`.

  See Also:
    Constant Field Values

### MIN_TIMEOUT_TIME

    public static final String MIN_TIMEOUT_TIME

  Key for properties used in the `createConnector` method. It changes the behavior of the wsclient. The value must be a `java.lang.Long`.

  See Also:
    Constant Field Values

### DEFAULT_NUM_RETRIES

    public static final int DEFAULT_NUM_RETRIES

See Also:
  Constant Field Values

### DEFAULT_NUM_SESSIONS

    public static final int DEFAULT_NUM_SESSIONS

See Also:
  Constant Field Values

### DEFAULT_CONNECT_RETRY_INTERVAL

    public static final long DEFAULT_CONNECT_RETRY_INTERVAL

See Also:
  Constant Field Values

### DEFAULT_TIMEOUT_TIME

    public static final long DEFAULT_TIMEOUT_TIME

See Also:
  Constant Field Values

### DEFAULT_MIN_TIMEOUT_TIME

    public static final long DEFAULT_MIN_TIMEOUT_TIME

See Also:
  Constant Field Values

### DEFAULT_INTERACT_RETRY_INTERVAL

    public static final long DEFAULT_INTERACT_RETRY_INTERVAL

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.